1.1
1.1
post /v1/nodepools
Description
create a nodepool V1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | NodepoolCreateRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NodepoolShowResponseV1Dot1 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/nodepools
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = ske 1.1"
Request body
{
"advanced_settings": {
"allowed_unsafe_sysctls": "kernel.msg*,net.ipv4.route.min_pmtu",
"container_log_max_files": "5",
"container_log_max_size": "10",
"image_gc_high_threshold": "85",
"image_gc_low_threshold": "80",
"max_pods": "110",
"pod_max_pids": "4096"
},
"cluster_id": "70a599e031e749b7b260868f441e862b",
"custom_image_id": "10a599e031e749b7b260868f441e862b",
"desired_node_count": "2",
"image_os": "ubuntu",
"image_os_version": "22.04",
"is_auto_recovery": "true",
"is_auto_scale": "true",
"keypair_name": "test_keypair",
"kubernetes_version": "v1.29.8",
"labels": [
{
"key": "example.com/my-app",
"value": "bar"
}
],
"max_node_count": "5",
"min_node_count": "1",
"name": "sample-nodepool",
"server_group_id": "2b8d33d5-4de5-40a5-a34c-7e30204133xc",
"server_type_id": "10a599e031e749b7b260868f441e862b",
"taints": [
{
"effect": "NoSchedule",
"key": "example.com/my-app",
"value": "bar"
}
],
"volume_size": "104",
"volume_type_name": "SSD"
}
Example HTTP response
Response 200
{
"nodepool": {
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"advanced_settings": {
"allowed_unsafe_sysctls": "kernel.msg*,net.ipv4.route.min_pmtu",
"container_log_max_files": "5",
"container_log_max_size": "10",
"image_gc_high_threshold": "85",
"image_gc_low_threshold": "80",
"max_pods": "110",
"pod_max_pids": "4096"
},
"auto_recovery_enabled": "true",
"auto_scale_enabled": "true",
"cluster": {
"id": "70a599e031e749b7b260868f441e862b"
},
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"current_node_count": "1",
"desired_node_count": "2",
"id": "bdfda539-bd2e-4a5c-9021-ec6d52d1ca79",
"image": {
"custom_image_name": "custom-image",
"os": "ubuntu",
"os_version": "22.04"
},
"keypair": {
"name": "test_keypair"
},
"kubernetes_version": "v1.29.8",
"labels": [
{
"key": "example.com/my-app",
"value": "bar"
}
],
"max_node_count": "5",
"min_node_count": "1",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample-nodepool",
"server_group_id": "2b8d33d5-4de5-40a5-a34c-7e30204133xc",
"server_type": {
"description": "Standard",
"id": "10a599e031e749b7b260868f441e862b"
},
"status": "Running",
"taints": [
{
"effect": "NoSchedule",
"key": "example.com/my-app",
"value": "bar"
}
],
"volume_size": "104",
"volume_type": {
"encrypt": "true",
"id": "10a599e031e749b7b260868f441e862b",
"name": "SSD"
}
}
}